com.buschmais.jqassistant.plugin.java.api.scanner

## Class SignatureHelper

- java.lang.Object
- - com.buschmais.jqassistant.plugin.java.api.scanner.SignatureHelper

-     public final class SignatureHelper
      extends Object

  Provides utility functions for working with signatures.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getFieldSignature(String name, String rawSignature)` Return a field signature.
    `static String` | `getMethodSignature(String name, String rawSignature)` Return a method signature.
    `static String` | `getObjectType(String desc)` Returns the Java type name corresponding to the given internal name.
    `static String` | `getType(String desc)` Returns the Java type name type corresponding to the given type descriptor.
    `static String` | `getType(org.objectweb.asm.Type t)` Return the type name of the given ASM type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getObjectType

          public static String getObjectType(String desc)

      Returns the Java type name corresponding to the given internal name.
      Parameters:
        `desc` - The internal name.
      Returns:
        The type name.

    - #### getType

          public static String getType(String desc)

      Returns the Java type name type corresponding to the given type descriptor.
      Parameters:
        `desc` - The type descriptor.
      Returns:
        The type name.

    - #### getType

          public static String getType(org.objectweb.asm.Type t)

      Return the type name of the given ASM type.
      Parameters:
        `t` - The ASM type.
      Returns:
        The type name.

    - #### getMethodSignature

          public static String getMethodSignature(String name,
                                                  String rawSignature)

      Return a method signature.
      Parameters:
        `name` - The method name.
        `rawSignature` - The signature containing parameter, return and exception values.
      Returns:
        The method signature.

    - #### getFieldSignature

          public static String getFieldSignature(String name,
                                                 String rawSignature)

      Return a field signature.
      Parameters:
        `name` - The field name.
        `rawSignature` - The signature containing the type value.
      Returns:
        The field signature.

Copyright © 2015 buschmais GbR. All rights reserved.